## org.eclipse.emf.edit.ui.view
Class ExtendedPropertySheetPage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.properties.PropertySheetPage
              org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage

All Implemented Interfaces:
  IAdaptable, ISelectionListener, IPage, IPageBookViewPage, IPropertySheetPage

    public class ExtendedPropertySheetPage

extends PropertySheetPage

This property sheet page has an additional button in its local toolbar that locates the value of the selected property in the editor.

Nested Class Summary
`protected class` `ExtendedPropertySheetPage.LocateValueAction`

Field Summary
`protected AdapterFactoryEditingDomain` `editingDomain`
`protected IAction` `locateValueAction`
`protected java.util.List<java.lang.Object>` `objectsToSelect`

Fields inherited from class org.eclipse.ui.views.properties.PropertySheetPage
`HELP_CONTEXT_PROPERTY_SHEET_PAGE`

Constructor Summary
`ExtendedPropertySheetPage(AdapterFactoryEditingDomain editingDomain)`

Method Summary
`protected void` `addObjectToSelect(java.lang.Object object)`
`void` `handleEntrySelection(ISelection selection)`
`void` `makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`
`protected void` `setSelectionToViewer(java.util.List<?> selection)` This method should be overridden to set the selection.

Methods inherited from class org.eclipse.ui.views.properties.PropertySheetPage
`createControl, dispose, getAdapter, getControl, getSaveablePart, initDragAndDrop, refresh, selectionChanged, setActionBars, setFocus, setPropertySourceProvider, setRootEntry, setSorter`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectsToSelect

    protected java.util.List<java.lang.Object> objectsToSelect

### editingDomain

    protected AdapterFactoryEditingDomain editingDomain

### locateValueAction

    protected IAction locateValueAction

Constructor Detail

### ExtendedPropertySheetPage

    public ExtendedPropertySheetPage(AdapterFactoryEditingDomain editingDomain)

Method Detail

### setSelectionToViewer

    protected void setSelectionToViewer(java.util.List<?> selection)

  This method should be overridden to set the selection.

### makeContributions

    public void makeContributions(IMenuManager menuManager,
                                  IToolBarManager toolBarManager,
                                  IStatusLineManager statusLineManager)

  Overrides:
    `makeContributions` in class `PropertySheetPage`

### handleEntrySelection

    public void handleEntrySelection(ISelection selection)

  Overrides:
    `handleEntrySelection` in class `PropertySheetPage`

### addObjectToSelect

    protected void addObjectToSelect(java.lang.Object object)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.